com.holonplatform.core.beans

## Interface BeanProperty.Builder<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    BeanProperty<T>, CloneableProperty<T,PathProperty<T>,PathProperty.Builder<T,PathProperty<T>,?>>, CloneableProperty.CloneablePathProperty<T,PathProperty<T>>, ConverterExpression<T>, DataMappable, DataMappable.Builder<BeanProperty.Builder<T>>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Localizable.Builder<BeanProperty.Builder<T>>, Path<T>, Path.Builder<T,BeanProperty.Builder<T>>, PathExpression<T>, PathProperty<T>, PathProperty.Builder<T,BeanProperty<T>,BeanProperty.Builder<T>>, Property<T>, Property.Builder<T,BeanProperty<T>,BeanProperty.Builder<T>>, QueryExpression<T>, QueryProjection<T>, Serializable, TypedExpression<T>, Validator.Validatable<T>
  Enclosing interface:
    BeanProperty<T>

      public static interface BeanProperty.Builder<T>
      extends PathProperty.Builder<T,BeanProperty<T>,BeanProperty.Builder<T>>, BeanProperty<T>

  BeanProperty builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.beans.BeanProperty

      `BeanProperty.Builder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanProperty.Builder<T>` | `annotations(Annotation[] annotations)` Set the property annotations
    `BeanProperty.Builder<T>` | `field(Field field)` Set the bean property field
    `Optional<IgnoreMode>` | `getIgnoreMode()` Get whether the property is marked as to be ignored and the ignore modality.
    `BeanProperty.Builder<T>` | `identifier(boolean identifier)` Set the bean property as an identifier property.
    `BeanProperty.Builder<T>` | `ignoreMode(IgnoreMode ignoreMode)` Mark the property as to be ignored (i.e. not to be part of the bean property set) or not.
    `BeanProperty.Builder<T>` | `readMethod(Method method)` Set the bean property read (get) method
    `BeanProperty.Builder<T>` | `sequence(Integer sequence)` Set the bean property sequence
    `BeanProperty.Builder<T>` | `writeMethod(Method method)` Set the bean property write (set) method

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.beans.BeanProperty

      `builder, getAnnotation, getField, getParentProperty, getReadMethod, getSequence, getWriteMethod, hasAnnotation, isIdentifier`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.CloneableProperty

      `clone`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

- - ### Method Detail

    - #### readMethod

          BeanProperty.Builder<T> readMethod(Method method)

      Set the bean property read (get) method
      Parameters:
        `method` - Method to set
      Returns:
        this

    - #### writeMethod

          BeanProperty.Builder<T> writeMethod(Method method)

      Set the bean property write (set) method
      Parameters:
        `method` - Method to set
      Returns:
        this

    - #### field

          BeanProperty.Builder<T> field(Field field)

      Set the bean property field
      Parameters:
        `field` - Field to set
      Returns:
        this

    - #### sequence

          BeanProperty.Builder<T> sequence(Integer sequence)

      Set the bean property sequence
      Parameters:
        `sequence` - Sequence to set
      Returns:
        this

    - #### identifier

          BeanProperty.Builder<T> identifier(boolean identifier)

      Set the bean property as an identifier property.
      Parameters:
        `identifier` - Whether the property is an identifier for the bean property set
      Returns:
        this
      Since:
        5.1.0

    - #### annotations

          BeanProperty.Builder<T> annotations(Annotation[] annotations)

      Set the property annotations
      Parameters:
        `annotations` - Annotations to set
      Returns:
        this

    - #### ignoreMode

          BeanProperty.Builder<T> ignoreMode(IgnoreMode ignoreMode)

      Mark the property as to be ignored (i.e. not to be part of the bean property set) or not.
      Parameters:
        `ignoreMode` - The ignore mode
      Returns:
        this

    - #### getIgnoreMode

          Optional<IgnoreMode> getIgnoreMode()

      Get whether the property is marked as to be ignored and the ignore modality.
      Returns:
        Optional property ignore mode

Copyright © 2019 The Holon Platform. All rights reserved.